Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class PageElements<TItem extends PdfObjectWrapper<PdfDictionary>>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.objects.Array<TItem>
              org.pdfclown.documents.PageElements<TItem>

All Implemented Interfaces:
  Cloneable, Iterable<TItem>, Collection<TItem>, List<TItem>, IPdfObjectWrapper

Direct Known Subclasses:
  PageAnnotations, PageArticleElements

    public abstract class PageElements<TItem extends PdfObjectWrapper<PdfDictionary>>

extends Array<TItem>

Page elements.

Since:
  0.1.2
Version:
  0.1.2, 01/04/13
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.Array
`Array.IWrapper<TItem>`

Method Summary
`void` | `add(int index, TItem object)`
`boolean` | `add(TItem object)`
`PageElements<TItem>` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Page` | `getPage()` Gets the page associated to these elements.
`TItem` | `remove(int index)`
`boolean` | `remove(Object object)`

Methods inherited from class org.pdfclown.objects.Array
`addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, retainAll, set, size, subList, toArray, toArray, wrap, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Method Detail

### add

    public boolean add(TItem object)

  Specified by:
    `add` in interface `Collection<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Specified by:
    `add` in interface `List<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Overrides:
    `add` in class `Array<TItem extends PdfObjectWrapper<PdfDictionary>>`

### add

    public void add(int index,
                    TItem object)

  Specified by:
    `add` in interface `List<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Overrides:
    `add` in class `Array<TItem extends PdfObjectWrapper<PdfDictionary>>`

### clone

    public PageElements<TItem> clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Array<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getPage

    public Page getPage()

  Gets the page associated to these elements.

### remove

    public TItem remove(int index)

  Specified by:
    `remove` in interface `List<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Overrides:
    `remove` in class `Array<TItem extends PdfObjectWrapper<PdfDictionary>>`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Collection<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Specified by:
    `remove` in interface `List<TItem extends PdfObjectWrapper<PdfDictionary>>`
  Overrides:
    `remove` in class `Array<TItem extends PdfObjectWrapper<PdfDictionary>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.